TARGET = thumbv8m.main-none-eabihf
CHIP = STM32U575ZI
BIN = stm32u5-blinky
MODE ?= release
TARGET_DIR = target/$(TARGET)/$(MODE)
ELF = $(TARGET_DIR)/$(BIN)
PROBE = probe-rs

.PHONY: all build flash clean empty

all: build

build:
	cargo build --$(MODE)

flash: build
	$(PROBE) run --chip $(CHIP) $(ELF)

empty:
	$(PROBE) erase --chip $(CHIP)

clean:
	cargo clean
